import request from '@/utils/request'

// 查询公告列表
export function listNotice(query) {
  return request({
    url: '/system/notice/list',
    method: 'get',
    params: query
  })
}

// 查询公告详细
export function getNotice(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'get'
  })
}

// 新增公告
export function addNotice(data) {
  return request({
    url: '/system/notice/add',
    method: 'post',
    data: data
  })
}

// 修改公告
export function updateNotice(data) {
  return request({
    url: '/system/notice/edit',
    method: 'post',
    data: data
  })
}

// 删除公告
export function delNotice(noticeId) {
  return request({
    url: '/system/notice/' + noticeId,
    method: 'delete'
  })
}
export function getNoticeList(params) {
  return request({
    url: '/system/notice/getNoticeList',
    method: 'get',
    params
  })
}

export function getToDoNum(params) {
  return request({
    url: '/system/notice/getToDoNum',
    method: 'get',
    params
  })
}
export function getNoticeNum(params) {
  return request({
    url: '/system/notice/getNoticeNum',
    method: 'get',
    params
  })
}

export function getMyToDoList(params){
  return request({
    url: '/system/notice/getMyToDoList',
    method: 'get',
    params
  })
}

export function updateNoticeStatus(data){
  return request({
    url: '/system/notice/updateNoticeStatus',
    method: 'post',
    data
  })
}
